Name:		dmlite-plugins-mysql
Version:	0.4.1
Release:	1%{?dist}
Summary:	MySQL plug-in for dmlite
Group:		Applications/Internet
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/dmlite-plugins-mysql/tags/dmlite-plugins-mysql_0_4_1 dmlite-plugins-mysql-0.4.1
# tar -czvf dmlite-plugins-mysql-0.4.1.tar.gz dmlite-plugins-mysql-0.4.1
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	dmlite-devel >= 0.4.0
BuildRequires:	mysql-devel

%description
This package provides the MySQL plug-in for dmlite.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%{_libdir}/dmlite/plugin_mysql.so
%doc LICENSE README RELEASE-NOTES

%changelog
* Wed Sep 26 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.1-1
- Update for new upstream release

* Wed Apr 11 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.3.0-1
- Initial build after dmlite package split
